<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_bc2b2cbee209b1cad087347" . "9a8fd921a" => base64_decode("L3NjaGVtYS9zY2hlbWE" . "ucGhw"), "_09fd03941a048e1f28e8231890" . "07cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50IHZlcnN" . "pb24gaXMgJw=="), "_98080012c02491a0c0cf" . "9af5c977f3c7" => base64_decode("U2NoZW1hIGZpbGU6I" . "A=="), "_4e804c3c65" . "9ffa9270945" . "8081742376b" => base64_decode("Q3JlYXRpbm" . "cgc2NoZW1h"), "_afa8b786a0282957bc5e6c82eb5ee" . "aba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIH" . "NraXBwaW5nIHNjaGVtYSBjcmVhdGlvbg=="), "_e608e5b5c4c34a67ba97ef" . "84c1e16199" => base64_decode("Jw=" . "="), "_edc5e56d0d74937af4aa" . "39a12b4e62f4" => base64_decode("MDA" . "uMD" . "A="), "_0a441bddac7bebad7a9858a" . "0dfadcd90" => base64_decode("MDEuMDE" . "="), "_3c4298ad1" . "18f0354938" . "7eda8af859" . "750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFke" . "SBpbnN0YWxsZWQ="), "_c1bf7b7ebd1ab8" . "431a8561d762db1" . "895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fubm90IHVwZGF" . "0ZQ=="), "_98587fc188f3" . "50370f03d5470" . "7c587e1" => base64_decode("aXNfcmV" . "hZGFibG" . "U="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_3c4298ad118f03549387eda8af" . "859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c1bf7b7" . "ebd1ab84" . "31a8561d" . "762db189" . "5"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_bc2b2cbee209b1cad08" . "73479a8fd921a"];
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_98587fc1" . "88f350370" . "f03d54707" . "c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_98080012c02491a0c0cf9af5c9" . "77f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4e804c3c659f" . "fa92709458081" . "742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0a441bddac7bebad7a" . "9858a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_09fd03941a048" . "e1f28e82318900" . "7cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e608e5b5c4c34a67" . "ba97ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_afa8b786a0282957bc5e6c82eb" . "5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_edc5e56d0d74937af4aa39a12b4e" . "62f4"]);
        }
    }
}